package de.thdeg.greiner.superpangworld.graphics.immovable;

import de.thdeg.greiner.superpangworld.gameview.GameView;
import de.thdeg.greiner.superpangworld.graphics.base.GameObject;

/**
 * The frame around the game.
 */
public class GameFrame extends GameObject {

    /**
     * Create a frame object.
     *
     * @param gameView the gameView
     */
    public GameFrame(GameView gameView)  {
        super(gameView);
        setPosition(0,0);
        size = 1;
        rotation = 0;
    }

    @Override
    public void addToCanvas() {
        gameView.addImageToCanvas("frame.png",position.x,position.y,size,rotation);
    }

    @Override
    public void updateStatus() {

    }
}
